package com.bocloud.ims.booter.controller.resource.f5;

import com.bocloud.common.annotations.Log;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiOutstandingIssues;
import com.bocloud.ims.interfaces.resource.f5.F5OutstandingIssuesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by liuyuanyuan on 2019/5/8 17:10
 */
@Api(value = "BiDnsResolvers", tags = "BiDnsResolvers")
@RestController
@RequestMapping("/v1/f5/pending")
public class F5OutstandingIssuesController {

    @Autowired
    private F5OutstandingIssuesService f5OutstandingIssuesService;

    /**
     * 列表
     *
     * @param pager
     * @return
     */
    @ApiOperation(tags={"CMC","CSC"},value = "查看BiDnsResolvers列表",  httpMethod = "GET")
    @GetMapping
    public BocloudResult<GridBean<BiOutstandingIssues>> list(Pager pager) {
        return f5OutstandingIssuesService.list(pager);
    }

}
