package com.bocloud.ims.entity.enums;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/5/18 19:34
 */
public enum RdsInstanceStatus {

    /**
     * 创建中
     */
    Creating,
    /**
     * 使用中
     */
    Running,
    /**
     * 删除中
     */
    Deleting,
    /**
     * 重启中
     */
    Rebooting,
    /**
     * 重启失败
     */
    RebootFailed,
    /**
     * 升降级中
     */
    DBInstanceClassChanging,
    /**
     * 迁移中
     */
    TRANSING,
    /**
     * 迁移版本中
     */
    EngineVersionUpgrading,
    /**
     * 迁移数据到其他RDS中
     */
    TransingToOthers,
    /**
     * 生产灾备实例中
     */
    GuardDBInstanceCreating,
    /**
     * 备份恢复中
     */
    Restoring,
    /**
     * 数据导入中
     */
    Importing,
    /**
     * 从其他RDS实例导入数据中
     */
    ImportingFromOthers,
    /**
     * 内外网切换中
     */
    DBInstanceNetTypeChanging,
    /**
     * 容灾切换中
     */
    GuardSwitching,
    /**
     * 实例克隆中
     */
    INS_CLONING,
    /**
     * 已释放实例
     */
    Released,
    /**
     * 不可用
     */
    Unavailable,
    /**
     * 不可用
     */
    Available
}
