package com.bocloud.ims.entity.middleware;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("rds_pc_flavor")
public class RdsPublicCloudFlavor extends GenericEntity {

    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("fid")
    private String fid;
    @Column("ram")
    private Integer ram;
    @Column("flavor_uuid")
    private String flavorUuid;
    @Column("vcpus")
    private String vcpus;
    @Column("instance_mode")
    private String instanceMode;
    @Column("vendor_id")
    private Long vendorId;
    @Column("zone")
    private String zone;
    @Column("region_id")
    private String regionId;
    @Column("engine")
    private String engine;
    @Column("version")
    private String version;
    @Column("category")
    private String category;
    @Column("storage_type")
    private String storageType;
    @Column("charge_type")
    private String chargeType;

}