package com.bocloud.ims.entity.middleware;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/5/14 19:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("rds_pc_instance_parameter_group")
public class RdsPublicCloudInstanceParameterGroup extends GenericEntity {
    @PK(PKStrategy.AUTO)
    private Long id;
    @Column("engine")
    private String engine;
    @Column("engine_version")
    private String engineVersion;
    @Column("param_detail")
    private String paramDetail;
    @Column("parameter_group_type")
    private Integer parameterGroupType;
    @Column("param_counts")
    private Integer paramCounts;
    @Column("parameter_group_id")
    private String parameterGroupId;
    @Column("force_restart")
    private Integer forceRestart;
    @Column("parameter_group_desc")
    private String parameterGroupDesc;
    @Column("vendor_id")
    private Long vendorId;
    @Column("region_id")
    private String regionId;
}
