package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * ip池-网络标签
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年7月12日
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("ip_pool_port_group")
public class IpPoolPortGroup extends Generic {

	// ID
	@PK(PKStrategy.AUTO)
	private Long id;
	// 网络ID
	@Column("pool_id")
	private Long poolId;
	// 网络标签ID
	@Column("group_id")
	private Long groupId;
	// 云平台ID
	@Column("vendor_id")
	private Long vendorId;

}
