package com.bocloud.ims.entity.resource;

import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 資源分配实体类
 *
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月10日
 */

@Data
@Accessors(chain = true)
public class ResourceAllocationVo {

    public ResourceAllocationVo() {
    }

    public ResourceAllocationVo(Long id, String type, String cloudPlatform, int virtualMachineCount, int cpuCores, String memoryGB, int diskGB) {
        this.id = id;
        this.type = type;
        this.cloudPlatform = cloudPlatform;
        this.virtualMachineCount = virtualMachineCount;
        this.cpuCores = cpuCores;
        this.memoryGB = memoryGB;
        this.diskGB = diskGB;
    }

    /**
     * vendor序号
     */
    private Long id;

    /**
     * 平台类型
     */
    private String type;

    /**
     * 云平台名称
     */
    private String cloudPlatform;

    /**
     * 虚拟机数量
     */
    private int virtualMachineCount;

    /**
     * CPU核数
     */
    private int cpuCores;

    /**
     * 内存大小，单位为GB
     */
    private String memoryGB;

    /**
     * 磁盘大小，单位为GB
     */
    private int diskGB;
}
