package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

@Data
@Table("sangfor_az")
public class SangforAz extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("description")
    private String description;
    @Column("tag")
    private String tag;
    @Column("uuid")
    private String uuid;
    @Column("type")
    private String type;
    @Column("version")
    private String version;
    @Column("vendor_id")
    private Long vendorId;
}
