package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

@Data
@Table("sangfor_project")
public class SangforProject extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("uuid")
    private String uuid;

    @Column("enabled")
    private Boolean enabled;

    @Column("role_type")
    private String roleType;

    @Column("vendor_id")
    private Long vendorId;
}
