package com.bocloud.ims.entity.resource.azure.db;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Getter;
import lombok.Setter;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AzureDatabase
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 12:10
 */
@Getter
@Setter
@Table("azure_database")
public class AzureDatabase {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("name")
    private String name;
    @Column("type")
    private String type;
    @Column("db_charset")
    private String dbCharset;
    @Column("db_collation")
    private String dbCollation;
    @Column("database_server_id")
    private Long databaseServerId;
}