package com.bocloud.ims.entity.resource.azure.ddos;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DdosCustomPolicie
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/4 14:09
 */
@Table("ddos_custom_policie")
@Data
public class DdosCustomPolicie extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("policie_uuid")
    private String policieUuid;
    @Column("vendor_id")
    private Long vendorId; // 平台id
    @Column("tenant_id")
    private Long tenantId;
    @Column("project_id")
    private Long projectId;
    @Column("user_id")
    private Long userId;
    @Column("type")
    private String type;
    @Column("region_id")
    private String regionId;
    @Column("resource_group_id")
    private Long resourceGroupId;
    @Column("resource_guid")
    private String resourceGuid;
    @Column("public_ip_address_ids")
    private String publicIpAddressIds;
    @IgnoreAll
    private String regionName;
    @IgnoreAll
    private String resourceGroupName;
    @IgnoreAll
    private String tenantName;
    @IgnoreAll
    private String projectName;
    @IgnoreAll
    private List<String> publicIPAddressNames;
}