package com.bocloud.ims.entity.resource.azure.network;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: NicIpConfiguration
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/23 17:41
 */
@Table("nic_ip_configuration")
@Data
public class NicIpConfiguration {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("name")
    private String name;
    @Column("is_primary")
    private Boolean isPrimary;
    @Column("private_ip_address")
    private String privateIpAddress;
    @Column("public_ipA_adress")
    private String publicIpAddress;
    @Column("vpc_id")
    private Long vpcId;
    @Column("subnet_id")
    private Long subnetId;
    @Column("network_interface_id")
    private Long networkInterfaceId;
    @Column("public_ip_address_id")
    private Long publicIpAddressId;
    @Column("ip_method")
    private String ipMethod;
    @IgnoreAll
    private String networkInterfaceName;



}