package com.bocloud.ims.entity.resource.fusionsphere;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @ClassName: FusionSphereUpLinkPort
 * @Description:上行链路组
 * @author: zhenpingLi/李振平
 * @date: 2021/11/2 15:48
 */
@Table("fusion_sphere_up_link_port")
@Data
public class FusionSphereUpLinkPort {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("host_id")
    private Long hostId;
    @Column("port_id")
    private Long portId;
    @Column("switcher_id")
    private Long switcherId;
    @Column("vendor_id")
    private Long vendorId;
    @Column("status")
    private String status;
    @Column("port_aggr_uuid")
    private String portAggrUuid;
    @IgnoreAll
    private String portName;
    @IgnoreAll
    private String hostName;
}