package com.bocloud.ims.entity.resource.fusionsphere;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereVlanPool
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/25 16:40
 */
@Table("fusion_sphere_vlan_pool")
@Data
public class FusionSphereVlanPool {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("start_vlan_id")
    private Integer startVlanId;
    @Column("end_vlan_id")
    private Integer endVlanId;
    @Column("switcher_id")
    private Long switcherId;

}