package com.bocloud.ims.entity.resource.horizon;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * horizon-vcenter关系
 * 
 * @author HP
 *
 */
@NoArgsConstructor
@AllArgsConstructor
@Table("vmware_horizon_vcenter_relation")
public class VmwareHorizonVcenterRelation extends Generic {

	// id
	@Setter
	@Getter
	@PK(value = PKStrategy.AUTO)
	private Long id;
	// horizon云平台id
	@Setter
	@Getter
	@Column("horizon_vendor_id")
	private Long horizonVendorId;
	// vcenter云平台id
	@Setter
	@Getter
	@Column("vcenter_vendor_id")
	private Long vcenterVendorId;

}
