package com.bocloud.ims.entity.resource.nsx;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * nsx-vcenter关系
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年3月27日
 *
 */
@NoArgsConstructor
@AllArgsConstructor
@Table("nsx_vcenter_relation")
public class NsxVcenterRelation extends Generic {

	// id
	@Setter
	@Getter
	@PK(value = PKStrategy.AUTO)
	private Long id;
	// nsx云平台id
	@Setter
	@Getter
	@Column("nsx_vendor_id")
	private Long nsxVendorId;
	// vcenter云平台id
	@Setter
	@Getter
	@Column("vcenter_vendor_id")
	private Long vcenterVendorId;

}
