package com.bocloud.ims.entity.topology;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * ci_regular_expression实体类
 *
 * @author lyy
 * @Version 1.0
 * @since 2017年9月15日
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("ci_regular_expression")
public class RegularExpression extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("expression")
    private String expression;
    @Column("name")
    private String name;
    @Column("message")
    private String message;

    public RegularExpression(String expression, String name) {
        super();
        this.expression = expression;
        this.name = name;
    }
}
