package com.bocloud.ims.interfaces.apply;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.entity.enums.ResourceCategory;
import com.bocloud.cmp.model.common.OrderMessage;
import com.bocloud.common.model.Result;

/**
 * 资源申请处理服务
 * 
 * @author dmw
 *
 */
public interface ResourceOperationService {

	/**
	 * 资源申请处理
	 * 
	 * @param category
	 *            申请类型
	 * @param param
	 *            申请参数
	 * @param operation
	 * @return
	 */
	public Result process(ResourceCategory category, JSONObject param, OrderMessage.Operation operation);
}
