package com.bocloud.ims.interfaces.pbm;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.pbm.PbmProfile;

/**
 * vcenter存储策略
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月25日
 */
public interface PbmProfileService {

    /**
     * 查询列表
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult<GridBean<PbmProfile>> list(Pager pager, RequestContext context);

}