package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.Param;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.ims.entity.resource.Disk;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Value;

/**
 * @author luyanchao
 */
public interface DiskService {

	/**
	 * 列表展示
	 *
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @return
	 */
	public BocloudResult<GridBean<Disk>> list(Pager pager, RequestContext context);

	/**
	 * 修改
	 * 
	 * @param disk
	 * @return
	 */
	public BocloudResult<Disk> modify(Disk disk, RequestContext context);

	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	public BocloudResult<Disk> detail(long id);

}
