package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.ims.entity.resource.Mdisk;
import com.bocloud.ims.entity.resource.Volume;

import java.util.List;
import java.util.Map;

public interface MdiskVolumeService {

    /**
     * 根据mdsik查询卷
     * 
     * @param page
     * @param rows
     * @param mdiskId
     * @param params
     * @return
     */
    public BocloudResult<GridBean<Volume>> listVolumeByMdisk(int page, int rows, long mdiskId, Map<String, Object> params,
                                                                   Map<String, String> sorter);

    /**
     * 根据卷查询mdisk
     *
     * @param page
     * @param rows
     * @param volumeId
     * @param params
     * @return
     */
    public BocloudResult<GridBean<Mdisk>> listMdiskByVolume(int page, int rows, long volumeId, Map<String, Object> params,
                                                                  Map<String, String> sorter);

}
