package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.StackTemplateVersion;

/**
 * stack version
 *
 * @author ymh
 * @时间 2019年11月13日
 */
public interface StackTemplateVersionService {

    /**
     * 列表展示
     *
     * @param pager
     * @param context
     * @return
     */
    BocloudResult<GridBean<StackTemplateVersion>> list(Pager pager, RequestContext context);

    /**
     * 创建
     *
     * @param stackTemplateVersion
     * @param context
     * @return
     */
    BocloudResult create(StackTemplateVersion stackTemplateVersion, RequestContext context);

    /**
     * 修改
     *
     * @param stackTemplateVersion
     * @param userId
     * @return
     */
    BocloudResult modify(StackTemplateVersion stackTemplateVersion, Long userId);

    /**
     * 删除
     *
     * @param id
     * @param context
     * @return
     */
    BocloudResult remove(Long id, RequestContext context);

    /**
     * 详情
     *
     * @param id
     * @return
     */
    BocloudResult detail(Long id);


}
