package com.bocloud.ims.interfaces.resource.azure.network;

import com.bocloud.cmp.params.azure.NicIpConfigurationOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.network.NicIpConfiguration;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: NicIpConfigurationService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/23 18:28
 */
public interface NicIpConfigurationService {

    BocloudResult<GridBean<NicIpConfiguration>> list(Pager pager, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> create(NicIpConfiguration params, RequestContext context);

    BocloudResult<Void> modify(NicIpConfiguration modifyEntity, RequestContext context);

    BocloudResult<Void> operations(NicIpConfigurationOperationParams params, RequestContext context);

    BocloudResult<Void> detachPublicIpAddress(Long id, RequestContext context);
}