package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiPartition;

public interface F5BiPartitionService {

    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiPartition>> list(Pager pager);

    /**
     * 添加
     * 
     * @param biPartition
     * @param userId
     * @return
     */
    public BocloudResult create(BiPartition biPartition, Long userId);

    /**
     * 移除
     * 
     * @param id
     *            ID
     * @param userId
     *            操作者ID
     * @return 操作结果
     */
    public BocloudResult remove(Long id, Long userId);
}
