package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiPoolMember;

public interface F5BiPoolMemberService {
    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiPoolMember>> list(Pager pager);

    /**
     * 添加
     *
     * @param biPoolMember
     * @param userId
     * @return
     */
    public BocloudResult create(BiPoolMember biPoolMember, Long userId);

    /**
     * 更新
     *
     * @param biPoolMember
     * @param userId
     * @return 操作结果
     */
    public BocloudResult modify(BiPoolMember biPoolMember, Long userId);

    /**
     * 移除
     *
     * @param id     ID
     * @param userId 操作者ID
     * @return 操作结果
     */
    public BocloudResult remove(Long id, Long userId);

    /**
     * 详细信息
     *
     * @param id ID
     * @return 详细信息
     */
    public BocloudResult<BiPoolMember> detail(Long id);
}
