package com.bocloud.ims.interfaces.resource.hmc;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.hmc.params.HmcNimInstallParams;

/**
 * NIM Service
 * 
 * @author lkx007
 *
 */
public interface HmcNimService {

    /**
     * AIX系统安装
     * 
     */
    public BocloudResult install(HmcNimInstallParams params, RequestContext context);

    /**
     * 
     * AIX系统安装进度查询
     * 
     * @param id
     * @param context
     * @return
     */
    public BocloudResult process(long id, RequestContext context);

    /**
     * 
     * AIX系统取消安装
     * 
     * @param id
     * @param context
     * @return
     */
    public BocloudResult cancel(long id, RequestContext context);
}
