package com.bocloud.ims.interfaces.topology;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.model.BocloudResult;

/**
 * 模型属性 service层
 *
 * @author lyy
 * @Version 1.0
 * @since 2017年10月16日
 */
public interface PropertyService {

    /**
     * 保存
     *
     * @param object
     * @return
     */
    public BocloudResult save(JSONObject object, Long moduleId);

    /**
     * Ci_property展示
     *
     * @param id
     * @param code
     * @return
     */
    public BocloudResult detail(Long id, String code);

    /**
     * 根据模型id，名称或编码查询模型属性
     *
     * @param params
     * @return
     */
    public BocloudResult queryProperties(JSONObject params);
}
