package com.bocloud.ims.interfaces.topology;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.topology.RelationCategory;

/**
 * 关系类型 service层
 *
 * @author tangcq
 * @Version 1.0
 * @since 2017年12月5日
 */
public interface RelationCategoryService {

    /**
     * 查看所有的关系类型
     *
     * @return
     */
    public BocloudResult list();

    /**
     * 新增类型
     *
     * @param relationCategory
     * @return
     */
    public BocloudResult create(RelationCategory relationCategory);

    /**
     * 修改类型
     *
     * @param relationCategory
     * @param requestContext
     * @return
     */
    public BocloudResult modify(RelationCategory relationCategory, RequestContext requestContext);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public BocloudResult remove(Long id);
}
