package com.bocloud.ims.service.internal.worker;

import java.util.Map;

import com.bocloud.common.model.BocloudResult;

/**
 * 请求worker结束的回调接口
 *
 * @author 007
 */
public interface WorkerCallback {

    /**
     * 请求worker结束的通知
     *
     * @param context      回调传递的上下文
     * @param workerResult worker执行任务结果
     */
    public void notify(Map<String, Object> context, BocloudResult workerResult);

}
