package com.bocloud.ims.service.model;

/**
 * Openstack概要信息类
 * 
 * @author weiwei
 *
 */
public class OpenstackAbstract {

	private Integer hosts; // 宿主机数量
	private Integer servers; // 云主机数量
	private Integer templates; // 模板数量
	private Integer snapshots; // 快照数量
	private Integer networks; // 网络数量
	private Integer volumes; // 存储数量
	private Integer images; // 镜像数量
	private Integer cpus; // cpu数量
	private Integer mems; // 内存数量
	private Integer disks; // 磁盘数量
	private Integer alarms; // 告警数量

	/**
	 * @return the hosts
	 */
	public Integer getHosts() {
		return hosts;
	}

	/**
	 * @param hosts
	 *            the hosts to set
	 */
	public void setHosts(Integer hosts) {
		this.hosts = hosts;
	}

	/**
	 * @return the servers
	 */
	public Integer getServers() {
		return servers;
	}

	/**
	 * @param servers
	 *            the servers to set
	 */
	public void setServers(Integer servers) {
		this.servers = servers;
	}

	/**
	 * @return the templates
	 */
	public Integer getTemplates() {
		return templates;
	}

	/**
	 * @param templates
	 *            the templates to set
	 */
	public void setTemplates(Integer templates) {
		this.templates = templates;
	}

	/**
	 * @return the snapshots
	 */
	public Integer getSnapshots() {
		return snapshots;
	}

	/**
	 * @param snapshots
	 *            the snapshots to set
	 */
	public void setSnapshots(Integer snapshots) {
		this.snapshots = snapshots;
	}

	/**
	 * @return the networks
	 */
	public Integer getNetworks() {
		return networks;
	}

	/**
	 * @param networks
	 *            the networks to set
	 */
	public void setNetworks(Integer networks) {
		this.networks = networks;
	}

	/**
	 * @return the volumes
	 */
	public Integer getVolumes() {
		return volumes;
	}

	/**
	 * @param volumes
	 *            the volumes to set
	 */
	public void setVolumes(Integer volumes) {
		this.volumes = volumes;
	}

	/**
	 * @return the images
	 */
	public Integer getImages() {
		return images;
	}

	/**
	 * @param images
	 *            the images to set
	 */
	public void setImages(Integer images) {
		this.images = images;
	}

	/**
	 * @return the cpus
	 */
	public Integer getCpus() {
		return cpus;
	}

	/**
	 * @param cpus
	 *            the cpus to set
	 */
	public void setCpus(Integer cpus) {
		this.cpus = cpus;
	}

	/**
	 * @return the mems
	 */
	public Integer getMems() {
		return mems;
	}

	/**
	 * @param mems
	 *            the mems to set
	 */
	public void setMems(Integer mems) {
		this.mems = mems;
	}

	/**
	 * @return the disks
	 */
	public Integer getDisks() {
		return disks;
	}

	/**
	 * @param disks
	 *            the disks to set
	 */
	public void setDisks(Integer disks) {
		this.disks = disks;
	}

	/**
	 * @return the alarms
	 */
	public Integer getAlarms() {
		return alarms;
	}

	/**
	 * @param alarms
	 *            the alarms to set
	 */
	public void setAlarms(Integer alarms) {
		this.alarms = alarms;
	}

	public OpenstackAbstract() {
		super();
	}

	public OpenstackAbstract(Integer hosts, Integer servers, Integer templates, Integer snapshots, Integer networks, Integer volumes,
			Integer images, Integer cpus, Integer mems, Integer disks, Integer alarms) {
		super();
		this.hosts = hosts;
		this.servers = servers;
		this.templates = templates;
		this.snapshots = snapshots;
		this.networks = networks;
		this.volumes = volumes;
		this.images = images;
		this.cpus = cpus;
		this.mems = mems;
		this.disks = disks;
		this.alarms = alarms;
	}

}
