package com.bocloud.ims.service.model.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * 虚拟机导入模板
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ColumnWidth(20)
@HeadRowHeight(15)
public class ImportCloudServerTemplate {
    @ExcelProperty(value = "index_no",index = 0)
    private String indexNo;
    @ExcelProperty(value = "创建日期(扫描日期)",index = 1)
    private String createTime;
    @ExcelProperty(value = "系统或条线",index = 2)
    private String projectName;
    @ExcelProperty(value = "负责人",index = 3)
    private String manager;
    @ExcelProperty(value = "机器名称",index = 4)
    private String name;
    @ExcelProperty(value = "机器类型或机柜位置",index = 5)
    private String typeOrAddress;
    @ExcelProperty(value = "用途",index = 6)
    private String purpose;
    @ExcelProperty(value = "自动分配IP(DHCP IP)",index = 7)
    private String DHCPIp;
    @ExcelProperty(value = "指定IP地址",index = 8)
    private String ip;
    @ExcelProperty(value = "组播网段",index = 9)
    private String mcnws;
    @ExcelProperty(value = "系统OS",index = 10)
    private String os;
    @ExcelProperty(value = "CPU(核)",index = 11)
    private Integer cpu;
    @ExcelProperty(value = "内存(G)",index = 12)
    private Integer memory;
    @ExcelProperty(value = "硬盘(G)",index = 13)
    private Double disk;
    @ExcelProperty(value = "实体机硬件配置",index = 14)
    private String physicalCnf;
    @ExcelProperty(value = "敏感区",index = 15)
    private String hotspot;
    @ExcelProperty(value = "备注或实体机机器型号",index = 16)
    private String remark;
    @ExcelProperty(value = "Jira单号",index = 17)
    private String jiraNumber;
    @ExcelProperty(value = "申请人",index = 18)
    private String applicant;
    @ExcelProperty(value = "状态",index = 19)
    private String status;
    @ExcelProperty(value = "修改记录",index = 20)
    private String updateTime;
    @ExcelProperty(value = "扫描日期",index = 21)
    private String scanInfo;
    @ExcelProperty(value = "销毁日期",index = 22)
    private String DestructionDate;

}
