package com.bocloud.ims.booter.controller.resource.sangforV68;

import com.bocloud.common.annotations.Log;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.common.utils.Common;
import com.bocloud.ims.entity.resource.SangforCommunication;
import com.bocloud.ims.entity.resource.Server;
import com.bocloud.ims.interfaces.resource.sangfor.SangforCommtService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/sangfor/comm")
@Api(value = "深信服SCP物理机通信口管理", tags = "深信服SCP物理机通信口管理")
public class SangforCommtController {
    @Autowired
    private SangforCommtService sangforCommtService;

    @ApiOperation(tags = {"CMC",
            "CSC"}, value = "深信服SCP物理机通信口查询管理",  httpMethod = "GET")
    @Log(module = BoCloudService.IMS, target = "查询深信服SCP物理机通信口列表", operation = "查询深信服SCP物理机通信口列表")
    @GetMapping
    public BocloudResult<GridBean<SangforCommunication>> list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context) {
        return null;
    }
}
