package com.bocloud.ims.common.enums;

/**
 * HMC任务类型
 * 
 * @author sxp
 * @since Jun 19, 2018
 */
public enum HmcJobType {
    // 增加服务器(ManagedSystem)到HMC平台
    AddManagedSystem,

    // 从HMC平台删除服务器(ManagedSystem)的连接
    RemoveManagedSystemConnection,

    // 系统开机
    PowerOnManagedSystem,

    // 系统关机
    PowerOffManagedSystem,

    // 系统重启
    RestartManagedSystem,

    // 分区开机(激活)
    PowerOnPartition,

    // 分区关机
    PowerOffPartition

}
