package com.bocloud.ims.entity.params;

import com.bocloud.ims.entity.resource.Server;

import lombok.Data;

import java.util.List;

@Data
public class ServerCreateParam extends Server {

	// 原来和params同级的参数type
	private String type;
	// 以下字段来源于HostOperateModel，去掉了和Server中重叠的部分
	private Long hostId;
	private Long vdcId;
	private Long clusterId;
	private Long vendorId;
	private String hostName;
	private String vdcName;
	private String clusterName;
	private String hostIp; // 主机IP
	private String privateIp; // 私有IP
	private String publicIp; // 公有IP
	private List<String> getewayIps; // 网关IP
	private Integer port; // 端口
	private String username; // 用户名
	private String password; // 密码
	private String sslThumbprint;// SSL证书指纹
	private List<String> hosts;
	private Long hmcId;
	private String hmcUuid;
	private String jenkinsUrl;
	private String saltMasterUrl;
	private String targetServers;
	private String host;
	private String hostType;
	private boolean forceDelete = false;
	private String params;

}
