package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * 访问控制
 *
 * @author lyy
 * @version 1.0
 * @date 2021/1/13 15:57
 */
@Data
@Table("access_control")
public class AccessControl extends GenericEntity {
	@PK(value = PKStrategy.AUTO)
	private Long id;// ID
	@Column("acl_uuid")
	private String AclUuId;
	@Column("iP_version")
	private String iPVersion;
	@Column("listeners")
	private Object listeners;
	@Column("resource_group_id")
	private Long resourceGroupId;
	@Column("resource_group_uuid")
	private String resourceGroupUuid;// 资源组id
	@Column("vendor_id")
	private Long vendorId;// 云平台ID
	@Column("region_id")
	private String regionId;
}
