package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Table("nat_gateway_snat_rule_relation")
public class NatGatewaySnatRuleRelation extends Generic {

	// ID
	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("elastic_ip_id")
	private Long elasticIpId;
	@Column("snat_rule_id")
	private Long snatRuleId;
	@IgnoreAll
	private String elasticIp;
}
