package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

@Data
@Table("sangfor_vlan_group")
public class SangforVlanGroup extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("vendor_id")
    private Long vendorId; // 云供应商Id
    @Column("network_id")
    private Long networkId;
    @Column("network_uuid")
    private String networkUuid;

    @Column("count")
    private Integer count;  // 连接的设备数量
    @Column("is_default")
    private Boolean isdefault;
    @Column("uuid")
    private String uuid;
    @Column("assemble_uuid")
    private String assembleUuid;
    @Column("native_vlanid")
    private Integer nativeVlanid;
    @Column("trunk_vlanid")
    private String trunkVlanid;
    @Column("type")
    private String type;    //端口组类型
    @Column("vlan_id")
    private String vlanId;
    @Column("pv_id")
    private Long pvId;
    @Column("vlan_range")
    private String vlanRange;
}
