package com.bocloud.ims.entity.resource.azure.account;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: StorageAccountFirewall
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/5/29 17:04
 */
@Table("storage_account_firewall")
@Data
public class StorageAccountFirewall {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("storage_account_id")
    private Long storageAccountId;
    @Column("ip_addresses")
    private String ipAddresses;
    @Column("ip_type")
    private String ipType;

}