package com.bocloud.ims.entity.resource.azure.db;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Getter;
import lombok.Setter;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbConfiguration
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 18:04
 */
@Getter
@Setter
@Table("db_configuration")
public class DbConfiguration {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("name")
    private String name;
    @Column("type")
    private String type;
    @Column("configuration_value")
    private String ConfigurationValue;//配置的值。
    @Column("description")
    private String description;//配置说明
    @Column("default_value")
    private String defaultValue;//配置的默认值。
    @Column("data_type")
    private String dataType;//配置的数据类型。
    @Column("allowed_values")
    private String allowedValues;//允许的配置值。
    @Column("source")
    private String source;//配置的源
    @Column("database_server_id")
    private Long databaseServerId;
}