package com.bocloud.ims.entity.resource.azure.db;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Getter;
import lombok.Setter;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbFirewallRule
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/1 15:13
 */
@Getter
@Setter
@Table("db_firewall_rule")
public class DbFirewallRule {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("name")
    private String name;
    @Column("start_ip_address")
    private String startIpAddress;
    @Column("end_ip_address")
    private String endIpAddress;
    @Column("type")
    private String type;
    @Column("database_server_id")
    private Long databaseServerId;

}