package com.bocloud.ims.entity.resource.azure.network;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ResourceSubnetRelation
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/5/29 16:00
 */
@Table("resource_subnet_relation")
@Data
public class ResourceSubnetRelation {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("subnet_id")
    private Long subnetId;
    @Column("vpc_id")
    private Long vpcId;
    @Column("resource_id")
    private Long resourceId;
    @Column("resource_type")
    private String resourceType;


}