package com.bocloud.ims.entity.resource.azure.redis;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudRedisFirewallRule
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/1 14:35
 */
@Table("cloud_redis_firewall_rule")
@Data
public class CloudRedisFirewallRule {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("uuid")
    private String uuid;
    @Column("name")
    private String name;
    @Column("start_ip")
    private String startIp;
    @Column("end_ip")
    private String endIp;
    @Column("type")
    private String type;
    @Column("redis_id")
    private Long redisId;
}