package com.bocloud.ims.entity.resource.f5;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * F5 SNAT pool实体类
 *
 * @author liuyuanyuan
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("bi_snat_pool")
public class BiSnatPool extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("members")
    private String members; // 前端传参["/Common/10.20.2.21","/Common/11.11.11.11"]
    @Column("vendor_id")
    private Long vendorId;
    @Column("partition_id")
    private Long partitionId;

}
