package com.bocloud.ims.entity.resource.fusionsphere;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereDeviceHost
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/22 18:10
 */
@Table("fusion_sphere_device_host")
@Data
public class FusionSphereDeviceHost {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("device_id")
    private Long deviceId;
    @Column("host_id")
    private Long hostId;
}