package com.bocloud.ims.entity.resource.fusionsphere;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereOsVersion
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/11/3 13:37
 */
@Table("fusion_sphere_os_version")
@Data
public class FusionSphereOsVersion {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("os_version_uuid")
    private String osVersionUuid;
    @Column("version_des")
    private String versionDes;
    @Column("os_type")
    private String osType;
    @Column("vdc_id")
    private Long vdcId;
    @Column("vendor_id")
    private Long vendorId;

    @Column("arch")
    private String arch;

}