package com.bocloud.ims.entity.resource.fusionsphere;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereUpLink
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/25 16:40
 */
@Table("fusion_sphere_up_link")
@Data
public class FusionSphereUpLink {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("host_id")
    private Long hostId;
    @Column("port_id")
    private Long portId;
    @Column("switcher_id")
    private Long switcherId;
    @Column("vendor_id")
    private Long vendorId;
    @Column("status")
    private String status;

    @IgnoreAll
    private String hostName;
    @IgnoreAll
    private String portName;
    @IgnoreAll
    private String switcherName;
    @IgnoreAll
    private String byteOut;
    @IgnoreAll
    private String byteIn;
    @IgnoreAll
    private String pkgSend;
    @IgnoreAll
    private String pkgRcv;
    @IgnoreAll
    private String portUuid;

}