package com.bocloud.ims.entity.resource.manageone;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * manage one账号管理
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年6月17日
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("manage_one_account")
public class ManageOneAccount extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;
	@Column("tenant_id")
	private Long tenantId;
	@Column("url")
	private String url;
	@Column("username")
	private String username;
	@Column("password")
	private String password;
	@Column("project_id")
	private String projectId;
	@Column("domain_name")
	private String domainName;
	@Column("user_id")
	private String userId;
	@Column("vdc_id")
	private Long vdcId;
	@Column("vendor_id")
	private Long vendorId;
}
