package com.bocloud.ims.entity.topology;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * Created by liuyuanyuan on 2020/6/18 14:54
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("ci_instance_location")
public class InstanceLocation extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("instance_id")
    private Long instanceId;
    @Column("category_id")
    private Long categoryId;
    @Column("x")
    private Long x;
    @Column("y")
    private Long y;
    @Column("manager_id")
    private Long managerId;
    @Column("node_id")
    private long nodeId;
    @IgnoreAll
    private JSONArray locations;
}
