package com.bocloud.ims.entity.topology;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 
 * @author tangcq
 * @since 2018-02-01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("ci_syn_mapping")
public class SynMapping extends Generic {
	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("service_name")
	private String serviceName;
	@Column("property_code")
	private String propertyCode;
	@Column("target_code")
	private String targetCode;
	@Column("module_code")
	private String moduleCode;
}
