package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import java.util.Map;

/**
 * 文件下载通用类
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年5月26日
 *
 */
public interface FileDownloadService {

	/**
	 * 云主机导出
	 * 
	 * @param pager
	 * @param condition
	 * @param action
	 * @param context
	 * @return
	 */
	BocloudResult<Map<String, Object>> vmDownload(Pager pager, String condition, String action, RequestContext context);
}
