package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.LbTarget;

import java.util.List;

/**
 * 负载均衡器群组目标service接口
 */
public interface LbTargetService {

	/**
	 * 查询群组目标列表
	 *
	 * @return
	 */
	public BocloudResult<GridBean<LbTarget>> list(Pager pager, RequestContext context);
}
