package com.bocloud.ims.interfaces.resource;

import com.bocloud.cmp.model.TaskMsgModel;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;

import java.util.List;

public interface TaskMsgService {

    /**
     * 查询vc平台任务列表
     *
     * @param vendorId
     * @return
     */
    BocloudResult<List<TaskMsgModel>> list(Long vendorId);

    /**
     * @param context
     * @return com.bocloud.common.model.BocloudResult<java.util.List < com.bocloud.ims.entity.resource.VendorTaskMsg>>
     * @Author: lxy
     * @Description: 查询平台历史任务
     * @Date 2021/8/26 11:50
     * @Param pager
     * @throws:
     **/
    BocloudResult historyList(Long vendorId, Pager pager, RequestContext context);

    /**
     * @param context
     * @return com.bocloud.common.model.BocloudResult
     * @Author: lxy
     * @Description: 平台历史任务同步
     * @Date 2021/8/27 17:33
     * @Param vendorId
     * @throws:
     **/
    BocloudResult syncVendorTaskMsg(Long vendorId, RequestContext context);
}
