package com.bocloud.ims.interfaces.resource.azure.db;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.db.AzureDatabase;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudDatabaseService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 13:47
 */
public interface CloudDatabaseService {

    BocloudResult<GridBean<AzureDatabase>> list(Pager pager, RequestContext context);

    BocloudResult<Void> create(AzureDatabase entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

}