package com.bocloud.ims.interfaces.resource.azure.db;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.db.DbConfiguration;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbConfigurationService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/4 18:07
 */
public interface DbConfigurationService {

    BocloudResult<GridBean<DbConfiguration>> list(Pager pager, RequestContext context);

    BocloudResult<Void> create(DbConfiguration entityParams, RequestContext context);

    BocloudResult<Void> modify(Long id, String value, RequestContext context);
}