package com.bocloud.ims.interfaces.resource.azure.db;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.db.DbFirewallRule;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbFirewallRuleService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/1 15:11
 */
public interface DbFirewallRuleService {

    BocloudResult<GridBean<DbFirewallRule>> list(Pager pager, RequestContext context);

    BocloudResult<Void> create(DbFirewallRule entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);
}