package com.bocloud.ims.interfaces.resource.azure.db;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.db.PerformanceTier;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: PerformanceTierService
 * @Description:数据库规格
 * @author: zhenpingLi/李振平
 * @date: 2021/1/28 15:08
 */
public interface PerformanceTierService {

    BocloudResult<GridBean<PerformanceTier>> list(Pager pager, RequestContext context);

    BocloudResult<PerformanceTier> detail(Long id, RequestContext context);
}