package com.bocloud.ims.interfaces.resource.azure.redis;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.redis.CloudRedisFirewallRule;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudRedisFirewallRuleService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/3/1 14:40
 */
public interface CloudRedisFirewallRuleService {

    BocloudResult<GridBean<CloudRedisFirewallRule>> list(Pager pager, RequestContext context);

    BocloudResult<Void> create(CloudRedisFirewallRule entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);
}