package com.bocloud.ims.interfaces.resource.azure.slb;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.slb.Probe;

public interface ProbeService {

    BocloudResult<GridBean<Probe>> list(Pager pager, RequestContext context);

    BocloudResult<Probe> detail(Long id, RequestContext context);

    BocloudResult<Void> create(Probe entityParams, RequestContext context);

    BocloudResult<Void> modify(Probe entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);


}
