package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiDnsResolvers;

public interface F5BiDnsResolversService {

    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiDnsResolvers>> list(Pager pager);

    /**
     * 添加
     *
     * @param biDnsResolvers
     * @param userId
     * @return
     */
    public BocloudResult create(BiDnsResolvers biDnsResolvers, Long userId);

    /**
     * 更新
     *
     * @param biDnsResolvers
     * @param userId
     * @return 操作结果
     */
    public BocloudResult modify(BiDnsResolvers biDnsResolvers, Long userId);

    /**
     * 移除
     *
     * @param id     ID
     * @param userId 操作者ID
     * @return 操作结果
     */
    public BocloudResult remove(Long id, Long userId);

    /**
     * 详细信息
     *
     * @param id ID
     * @return 详细信息
     */
    public BocloudResult detail(Long id);

}
