package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.cmp.params.fusionsphere.StorageDeviceParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.fusionsphere.FusionSphereStorageDevice;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereStorageDeviceService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/20 17:54
 */
public interface FusionSphereStorageDeviceService {

    BocloudResult<GridBean<FusionSphereStorageDevice>> list(Pager pager, RequestContext context);

    BocloudResult<FusionSphereStorageDevice> detail(Long id, RequestContext context);

    BocloudResult listStorage(StorageDeviceParams params, RequestContext context);
}