package com.bocloud.ims.interfaces.resource.hmc;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.hmc.HmcHostEthernetAdapter;
import com.bocloud.ims.entity.resource.hmc.params.ServerIdParams;

import java.util.List;

public interface HmcHEAService {
    /**
     * 列表主机以太网物理端口
     */
    BocloudResult<List<HmcHostEthernetAdapter>> listPhysicalPorts(Long serverId);

    /**
     * 修改主机以太网物理端口
     *
     * @param hmcHostEthernetAdapter
     * @param context
     * @return
     */
    BocloudResult modify(HmcHostEthernetAdapter hmcHostEthernetAdapter, RequestContext context);
}
