package com.bocloud.ims.interfaces.topology;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Param;

import java.util.List;
import java.util.Map;

/**
 * CiCategory service层
 *
 * @author lyy
 * @Version 1.0
 * @since 2017年9月13日
 */
public interface CategoryService {

    /**
     * 分页查询
     *
     * @param page
     * @param rows
     * @param params
     * @param sorter
     * @param simple
     * @return
     */
    public BocloudResult list(int page, int rows, List<Param> params, Map<String, String> sorter, Boolean simple);

    /**
     * 查询
     *
     * @param id
     * @return
     */
    public BocloudResult query(Long id);

    /**
     * 查询所有CI模型类型
     *
     * @return
     */
    public BocloudResult list();
}
